Subject: Re: [PATCH 0/3] resolve module name conflict for asix PHY and USB modules

From: Andrew Lunn <[email-masked]>
Date: Fri, 17 May 2019 23:20:02 +0200

On Sat, May 18, 2019 at 08:25:15AM +1200, Michael Schmitz wrote:
> Haven't heard back in a while, so here goes: 
> 
> Commit 31dd83b96641 ("net-next: phy: new Asix Electronics PHY driver")
> introduced a new PHY driver drivers/net/phy/asix.c that causes a module
> name conflict with a pre-existiting driver (drivers/net/usb/asix.c). 
> 
> The PHY driver is used by the X-Surf 100 ethernet card driver, and loaded
> by that driver via its PHY ID. A rename of the driver looks unproblematic.
>  
> Rename PHY driver to ax88796b.c in order to resolve name conflict. 

Hi Michael

Please just use git mv and do it all one patch. It then makes it clear
you have not changed the driver, just renamed it.

Thanks
	Andrew